IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/76
Addresses2^52
/64 networksPart of one
- Network
fe80:c25b:dd:ddea:d20::/76- First address
fe80:c25b:dd:ddea:d20::- Last address
fe80:c25b:dd:ddea:d2f:ffff:ffff:ffff- Addresses
- 4,503,599,627,370,496 (2^52)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:ddea:0d20:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
2.d.0.a.e.d.d.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:dd:ddea:d20::/76 makes 65,536 subnets of /92; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:ddea:d20::/92 | fe80:c25b:dd:ddea:d20:f:ffff:ffff |
| 2 | fe80:c25b:dd:ddea:d20:10::/92 | fe80:c25b:dd:ddea:d20:1f:ffff:ffff |
| 3 | fe80:c25b:dd:ddea:d20:20::/92 | fe80:c25b:dd:ddea:d20:2f:ffff:ffff |
| 4 | fe80:c25b:dd:ddea:d20:30::/92 | fe80:c25b:dd:ddea:d20:3f:ffff:ffff |
| 5 | fe80:c25b:dd:ddea:d20:40::/92 | fe80:c25b:dd:ddea:d20:4f:ffff:ffff |
| 6 | fe80:c25b:dd:ddea:d20:50::/92 | fe80:c25b:dd:ddea:d20:5f:ffff:ffff |
| 7 | fe80:c25b:dd:ddea:d20:60::/92 | fe80:c25b:dd:ddea:d20:6f:ffff:ffff |
| 8 | fe80:c25b:dd:ddea:d20:70::/92 | fe80:c25b:dd:ddea:d20:7f:ffff:ffff |
| 9 | fe80:c25b:dd:ddea:d20:80::/92 | fe80:c25b:dd:ddea:d20:8f:ffff:ffff |
| 10 | fe80:c25b:dd:ddea:d20:90::/92 | fe80:c25b:dd:ddea:d20:9f:ffff:ffff |
| 11 | fe80:c25b:dd:ddea:d20:a0::/92 | fe80:c25b:dd:ddea:d20:af:ffff:ffff |
| 12 | fe80:c25b:dd:ddea:d20:b0::/92 | fe80:c25b:dd:ddea:d20:bf:ffff:ffff |
| 13 | fe80:c25b:dd:ddea:d20:c0::/92 | fe80:c25b:dd:ddea:d20:cf:ffff:ffff |
| 14 | fe80:c25b:dd:ddea:d20:d0::/92 | fe80:c25b:dd:ddea:d20:df:ffff:ffff |
| 15 | fe80:c25b:dd:ddea:d20:e0::/92 | fe80:c25b:dd:ddea:d20:ef:ffff:ffff |
| 16 | fe80:c25b:dd:ddea:d20:f0::/92 | fe80:c25b:dd:ddea:d20:ff:ffff:ffff |
| 17 | fe80:c25b:dd:ddea:d20:100::/92 | fe80:c25b:dd:ddea:d20:10f:ffff:ffff |
| 18 | fe80:c25b:dd:ddea:d20:110::/92 | fe80:c25b:dd:ddea:d20:11f:ffff:ffff |
| 19 | fe80:c25b:dd:ddea:d20:120::/92 | fe80:c25b:dd:ddea:d20:12f:ffff:ffff |
| 20 | fe80:c25b:dd:ddea:d20:130::/92 | fe80:c25b:dd:ddea:d20:13f:ffff:ffff |
| 21 | fe80:c25b:dd:ddea:d20:140::/92 | fe80:c25b:dd:ddea:d20:14f:ffff:ffff |
| 22 | fe80:c25b:dd:ddea:d20:150::/92 | fe80:c25b:dd:ddea:d20:15f:ffff:ffff |
| 23 | fe80:c25b:dd:ddea:d20:160::/92 | fe80:c25b:dd:ddea:d20:16f:ffff:ffff |
| 24 | fe80:c25b:dd:ddea:d20:170::/92 | fe80:c25b:dd:ddea:d20:17f:ffff:ffff |
| 25 | fe80:c25b:dd:ddea:d20:180::/92 | fe80:c25b:dd:ddea:d20:18f:ffff:ffff |
| 26 | fe80:c25b:dd:ddea:d20:190::/92 | fe80:c25b:dd:ddea:d20:19f:ffff:ffff |
| 27 | fe80:c25b:dd:ddea:d20:1a0::/92 | fe80:c25b:dd:ddea:d20:1af:ffff:ffff |
| 28 | fe80:c25b:dd:ddea:d20:1b0::/92 | fe80:c25b:dd:ddea:d20:1bf:ffff:ffff |
| 29 | fe80:c25b:dd:ddea:d20:1c0::/92 | fe80:c25b:dd:ddea:d20:1cf:ffff:ffff |
| 30 | fe80:c25b:dd:ddea:d20:1d0::/92 | fe80:c25b:dd:ddea:d20:1df:ffff:ffff |
| 31 | fe80:c25b:dd:ddea:d20:1e0::/92 | fe80:c25b:dd:ddea:d20:1ef:ffff:ffff |
| 32 | fe80:c25b:dd:ddea:d20:1f0::/92 | fe80:c25b:dd:ddea:d20:1ff:ffff:ffff |
| 33 | fe80:c25b:dd:ddea:d20:200::/92 | fe80:c25b:dd:ddea:d20:20f:ffff:ffff |
| 34 | fe80:c25b:dd:ddea:d20:210::/92 | fe80:c25b:dd:ddea:d20:21f:ffff:ffff |
| 35 | fe80:c25b:dd:ddea:d20:220::/92 | fe80:c25b:dd:ddea:d20:22f:ffff:ffff |
| 36 | fe80:c25b:dd:ddea:d20:230::/92 | fe80:c25b:dd:ddea:d20:23f:ffff:ffff |
| 37 | fe80:c25b:dd:ddea:d20:240::/92 | fe80:c25b:dd:ddea:d20:24f:ffff:ffff |
| 38 | fe80:c25b:dd:ddea:d20:250::/92 | fe80:c25b:dd:ddea:d20:25f:ffff:ffff |
| 39 | fe80:c25b:dd:ddea:d20:260::/92 | fe80:c25b:dd:ddea:d20:26f:ffff:ffff |
| 40 | fe80:c25b:dd:ddea:d20:270::/92 | fe80:c25b:dd:ddea:d20:27f:ffff:ffff |
| 41 | fe80:c25b:dd:ddea:d20:280::/92 | fe80:c25b:dd:ddea:d20:28f:ffff:ffff |
| 42 | fe80:c25b:dd:ddea:d20:290::/92 | fe80:c25b:dd:ddea:d20:29f:ffff:ffff |
| 43 | fe80:c25b:dd:ddea:d20:2a0::/92 | fe80:c25b:dd:ddea:d20:2af:ffff:ffff |
| 44 | fe80:c25b:dd:ddea:d20:2b0::/92 | fe80:c25b:dd:ddea:d20:2bf:ffff:ffff |
| 45 | fe80:c25b:dd:ddea:d20:2c0::/92 | fe80:c25b:dd:ddea:d20:2cf:ffff:ffff |
| 46 | fe80:c25b:dd:ddea:d20:2d0::/92 | fe80:c25b:dd:ddea:d20:2df:ffff:ffff |
| 47 | fe80:c25b:dd:ddea:d20:2e0::/92 | fe80:c25b:dd:ddea:d20:2ef:ffff:ffff |
| 48 | fe80:c25b:dd:ddea:d20:2f0::/92 | fe80:c25b:dd:ddea:d20:2ff:ffff:ffff |
| 49 | fe80:c25b:dd:ddea:d20:300::/92 | fe80:c25b:dd:ddea:d20:30f:ffff:ffff |
| 50 | fe80:c25b:dd:ddea:d20:310::/92 | fe80:c25b:dd:ddea:d20:31f:ffff:ffff |
| 51 | fe80:c25b:dd:ddea:d20:320::/92 | fe80:c25b:dd:ddea:d20:32f:ffff:ffff |
| 52 | fe80:c25b:dd:ddea:d20:330::/92 | fe80:c25b:dd:ddea:d20:33f:ffff:ffff |
| 53 | fe80:c25b:dd:ddea:d20:340::/92 | fe80:c25b:dd:ddea:d20:34f:ffff:ffff |
| 54 | fe80:c25b:dd:ddea:d20:350::/92 | fe80:c25b:dd:ddea:d20:35f:ffff:ffff |
| 55 | fe80:c25b:dd:ddea:d20:360::/92 | fe80:c25b:dd:ddea:d20:36f:ffff:ffff |
| 56 | fe80:c25b:dd:ddea:d20:370::/92 | fe80:c25b:dd:ddea:d20:37f:ffff:ffff |
| 57 | fe80:c25b:dd:ddea:d20:380::/92 | fe80:c25b:dd:ddea:d20:38f:ffff:ffff |
| 58 | fe80:c25b:dd:ddea:d20:390::/92 | fe80:c25b:dd:ddea:d20:39f:ffff:ffff |
| 59 | fe80:c25b:dd:ddea:d20:3a0::/92 | fe80:c25b:dd:ddea:d20:3af:ffff:ffff |
| 60 | fe80:c25b:dd:ddea:d20:3b0::/92 | fe80:c25b:dd:ddea:d20:3bf:ffff:ffff |
| 61 | fe80:c25b:dd:ddea:d20:3c0::/92 | fe80:c25b:dd:ddea:d20:3cf:ffff:ffff |
| 62 | fe80:c25b:dd:ddea:d20:3d0::/92 | fe80:c25b:dd:ddea:d20:3df:ffff:ffff |
| 63 | fe80:c25b:dd:ddea:d20:3e0::/92 | fe80:c25b:dd:ddea:d20:3ef:ffff:ffff |
| 64 | fe80:c25b:dd:ddea:d20:3f0::/92 | fe80:c25b:dd:ddea:d20:3ff:ffff:ffff |
| 65 | fe80:c25b:dd:ddea:d20:400::/92 | fe80:c25b:dd:ddea:d20:40f:ffff:ffff |
| 66 | fe80:c25b:dd:ddea:d20:410::/92 | fe80:c25b:dd:ddea:d20:41f:ffff:ffff |
| 67 | fe80:c25b:dd:ddea:d20:420::/92 | fe80:c25b:dd:ddea:d20:42f:ffff:ffff |
| 68 | fe80:c25b:dd:ddea:d20:430::/92 | fe80:c25b:dd:ddea:d20:43f:ffff:ffff |
| 69 | fe80:c25b:dd:ddea:d20:440::/92 | fe80:c25b:dd:ddea:d20:44f:ffff:ffff |
| 70 | fe80:c25b:dd:ddea:d20:450::/92 | fe80:c25b:dd:ddea:d20:45f:ffff:ffff |
| 71 | fe80:c25b:dd:ddea:d20:460::/92 | fe80:c25b:dd:ddea:d20:46f:ffff:ffff |
| 72 | fe80:c25b:dd:ddea:d20:470::/92 | fe80:c25b:dd:ddea:d20:47f:ffff:ffff |
| 73 | fe80:c25b:dd:ddea:d20:480::/92 | fe80:c25b:dd:ddea:d20:48f:ffff:ffff |
| 74 | fe80:c25b:dd:ddea:d20:490::/92 | fe80:c25b:dd:ddea:d20:49f:ffff:ffff |
| 75 | fe80:c25b:dd:ddea:d20:4a0::/92 | fe80:c25b:dd:ddea:d20:4af:ffff:ffff |
| 76 | fe80:c25b:dd:ddea:d20:4b0::/92 | fe80:c25b:dd:ddea:d20:4bf:ffff:ffff |
| 77 | fe80:c25b:dd:ddea:d20:4c0::/92 | fe80:c25b:dd:ddea:d20:4cf:ffff:ffff |
| 78 | fe80:c25b:dd:ddea:d20:4d0::/92 | fe80:c25b:dd:ddea:d20:4df:ffff:ffff |
| 79 | fe80:c25b:dd:ddea:d20:4e0::/92 | fe80:c25b:dd:ddea:d20:4ef:ffff:ffff |
| 80 | fe80:c25b:dd:ddea:d20:4f0::/92 | fe80:c25b:dd:ddea:d20:4ff:ffff:ffff |
| 81 | fe80:c25b:dd:ddea:d20:500::/92 | fe80:c25b:dd:ddea:d20:50f:ffff:ffff |
| 82 | fe80:c25b:dd:ddea:d20:510::/92 | fe80:c25b:dd:ddea:d20:51f:ffff:ffff |
| 83 | fe80:c25b:dd:ddea:d20:520::/92 | fe80:c25b:dd:ddea:d20:52f:ffff:ffff |
| 84 | fe80:c25b:dd:ddea:d20:530::/92 | fe80:c25b:dd:ddea:d20:53f:ffff:ffff |
| 85 | fe80:c25b:dd:ddea:d20:540::/92 | fe80:c25b:dd:ddea:d20:54f:ffff:ffff |
| 86 | fe80:c25b:dd:ddea:d20:550::/92 | fe80:c25b:dd:ddea:d20:55f:ffff:ffff |
| 87 | fe80:c25b:dd:ddea:d20:560::/92 | fe80:c25b:dd:ddea:d20:56f:ffff:ffff |
| 88 | fe80:c25b:dd:ddea:d20:570::/92 | fe80:c25b:dd:ddea:d20:57f:ffff:ffff |
| 89 | fe80:c25b:dd:ddea:d20:580::/92 | fe80:c25b:dd:ddea:d20:58f:ffff:ffff |
| 90 | fe80:c25b:dd:ddea:d20:590::/92 | fe80:c25b:dd:ddea:d20:59f:ffff:ffff |
| 91 | fe80:c25b:dd:ddea:d20:5a0::/92 | fe80:c25b:dd:ddea:d20:5af:ffff:ffff |
| 92 | fe80:c25b:dd:ddea:d20:5b0::/92 | fe80:c25b:dd:ddea:d20:5bf:ffff:ffff |
| 93 | fe80:c25b:dd:ddea:d20:5c0::/92 | fe80:c25b:dd:ddea:d20:5cf:ffff:ffff |
| 94 | fe80:c25b:dd:ddea:d20:5d0::/92 | fe80:c25b:dd:ddea:d20:5df:ffff:ffff |
| 95 | fe80:c25b:dd:ddea:d20:5e0::/92 | fe80:c25b:dd:ddea:d20:5ef:ffff:ffff |
| 96 | fe80:c25b:dd:ddea:d20:5f0::/92 | fe80:c25b:dd:ddea:d20:5ff:ffff:ffff |
| 97 | fe80:c25b:dd:ddea:d20:600::/92 | fe80:c25b:dd:ddea:d20:60f:ffff:ffff |
| 98 | fe80:c25b:dd:ddea:d20:610::/92 | fe80:c25b:dd:ddea:d20:61f:ffff:ffff |
| 99 | fe80:c25b:dd:ddea:d20:620::/92 | fe80:c25b:dd:ddea:d20:62f:ffff:ffff |
| 100 | fe80:c25b:dd:ddea:d20:630::/92 | fe80:c25b:dd:ddea:d20:63f:ffff:ffff |
| 101 | fe80:c25b:dd:ddea:d20:640::/92 | fe80:c25b:dd:ddea:d20:64f:ffff:ffff |
| 102 | fe80:c25b:dd:ddea:d20:650::/92 | fe80:c25b:dd:ddea:d20:65f:ffff:ffff |
| 103 | fe80:c25b:dd:ddea:d20:660::/92 | fe80:c25b:dd:ddea:d20:66f:ffff:ffff |
| 104 | fe80:c25b:dd:ddea:d20:670::/92 | fe80:c25b:dd:ddea:d20:67f:ffff:ffff |
| 105 | fe80:c25b:dd:ddea:d20:680::/92 | fe80:c25b:dd:ddea:d20:68f:ffff:ffff |
| 106 | fe80:c25b:dd:ddea:d20:690::/92 | fe80:c25b:dd:ddea:d20:69f:ffff:ffff |
| 107 | fe80:c25b:dd:ddea:d20:6a0::/92 | fe80:c25b:dd:ddea:d20:6af:ffff:ffff |
| 108 | fe80:c25b:dd:ddea:d20:6b0::/92 | fe80:c25b:dd:ddea:d20:6bf:ffff:ffff |
| 109 | fe80:c25b:dd:ddea:d20:6c0::/92 | fe80:c25b:dd:ddea:d20:6cf:ffff:ffff |
| 110 | fe80:c25b:dd:ddea:d20:6d0::/92 | fe80:c25b:dd:ddea:d20:6df:ffff:ffff |
| 111 | fe80:c25b:dd:ddea:d20:6e0::/92 | fe80:c25b:dd:ddea:d20:6ef:ffff:ffff |
| 112 | fe80:c25b:dd:ddea:d20:6f0::/92 | fe80:c25b:dd:ddea:d20:6ff:ffff:ffff |
| 113 | fe80:c25b:dd:ddea:d20:700::/92 | fe80:c25b:dd:ddea:d20:70f:ffff:ffff |
| 114 | fe80:c25b:dd:ddea:d20:710::/92 | fe80:c25b:dd:ddea:d20:71f:ffff:ffff |
| 115 | fe80:c25b:dd:ddea:d20:720::/92 | fe80:c25b:dd:ddea:d20:72f:ffff:ffff |
| 116 | fe80:c25b:dd:ddea:d20:730::/92 | fe80:c25b:dd:ddea:d20:73f:ffff:ffff |
| 117 | fe80:c25b:dd:ddea:d20:740::/92 | fe80:c25b:dd:ddea:d20:74f:ffff:ffff |
| 118 | fe80:c25b:dd:ddea:d20:750::/92 | fe80:c25b:dd:ddea:d20:75f:ffff:ffff |
| 119 | fe80:c25b:dd:ddea:d20:760::/92 | fe80:c25b:dd:ddea:d20:76f:ffff:ffff |
| 120 | fe80:c25b:dd:ddea:d20:770::/92 | fe80:c25b:dd:ddea:d20:77f:ffff:ffff |
| 121 | fe80:c25b:dd:ddea:d20:780::/92 | fe80:c25b:dd:ddea:d20:78f:ffff:ffff |
| 122 | fe80:c25b:dd:ddea:d20:790::/92 | fe80:c25b:dd:ddea:d20:79f:ffff:ffff |
| 123 | fe80:c25b:dd:ddea:d20:7a0::/92 | fe80:c25b:dd:ddea:d20:7af:ffff:ffff |
| 124 | fe80:c25b:dd:ddea:d20:7b0::/92 | fe80:c25b:dd:ddea:d20:7bf:ffff:ffff |
| 125 | fe80:c25b:dd:ddea:d20:7c0::/92 | fe80:c25b:dd:ddea:d20:7cf:ffff:ffff |
| 126 | fe80:c25b:dd:ddea:d20:7d0::/92 | fe80:c25b:dd:ddea:d20:7df:ffff:ffff |
| 127 | fe80:c25b:dd:ddea:d20:7e0::/92 | fe80:c25b:dd:ddea:d20:7ef:ffff:ffff |
| 128 | fe80:c25b:dd:ddea:d20:7f0::/92 | fe80:c25b:dd:ddea:d20:7ff:ffff:ffff |
| 129 | fe80:c25b:dd:ddea:d20:800::/92 | fe80:c25b:dd:ddea:d20:80f:ffff:ffff |
| 130 | fe80:c25b:dd:ddea:d20:810::/92 | fe80:c25b:dd:ddea:d20:81f:ffff:ffff |
| 131 | fe80:c25b:dd:ddea:d20:820::/92 | fe80:c25b:dd:ddea:d20:82f:ffff:ffff |
| 132 | fe80:c25b:dd:ddea:d20:830::/92 | fe80:c25b:dd:ddea:d20:83f:ffff:ffff |
| 133 | fe80:c25b:dd:ddea:d20:840::/92 | fe80:c25b:dd:ddea:d20:84f:ffff:ffff |
| 134 | fe80:c25b:dd:ddea:d20:850::/92 | fe80:c25b:dd:ddea:d20:85f:ffff:ffff |
| 135 | fe80:c25b:dd:ddea:d20:860::/92 | fe80:c25b:dd:ddea:d20:86f:ffff:ffff |
| 136 | fe80:c25b:dd:ddea:d20:870::/92 | fe80:c25b:dd:ddea:d20:87f:ffff:ffff |
| 137 | fe80:c25b:dd:ddea:d20:880::/92 | fe80:c25b:dd:ddea:d20:88f:ffff:ffff |
| 138 | fe80:c25b:dd:ddea:d20:890::/92 | fe80:c25b:dd:ddea:d20:89f:ffff:ffff |
| 139 | fe80:c25b:dd:ddea:d20:8a0::/92 | fe80:c25b:dd:ddea:d20:8af:ffff:ffff |
| 140 | fe80:c25b:dd:ddea:d20:8b0::/92 | fe80:c25b:dd:ddea:d20:8bf:ffff:ffff |
| 141 | fe80:c25b:dd:ddea:d20:8c0::/92 | fe80:c25b:dd:ddea:d20:8cf:ffff:ffff |
| 142 | fe80:c25b:dd:ddea:d20:8d0::/92 | fe80:c25b:dd:ddea:d20:8df:ffff:ffff |
| 143 | fe80:c25b:dd:ddea:d20:8e0::/92 | fe80:c25b:dd:ddea:d20:8ef:ffff:ffff |
| 144 | fe80:c25b:dd:ddea:d20:8f0::/92 | fe80:c25b:dd:ddea:d20:8ff:ffff:ffff |
| 145 | fe80:c25b:dd:ddea:d20:900::/92 | fe80:c25b:dd:ddea:d20:90f:ffff:ffff |
| 146 | fe80:c25b:dd:ddea:d20:910::/92 | fe80:c25b:dd:ddea:d20:91f:ffff:ffff |
| 147 | fe80:c25b:dd:ddea:d20:920::/92 | fe80:c25b:dd:ddea:d20:92f:ffff:ffff |
| 148 | fe80:c25b:dd:ddea:d20:930::/92 | fe80:c25b:dd:ddea:d20:93f:ffff:ffff |
| 149 | fe80:c25b:dd:ddea:d20:940::/92 | fe80:c25b:dd:ddea:d20:94f:ffff:ffff |
| 150 | fe80:c25b:dd:ddea:d20:950::/92 | fe80:c25b:dd:ddea:d20:95f:ffff:ffff |
| 151 | fe80:c25b:dd:ddea:d20:960::/92 | fe80:c25b:dd:ddea:d20:96f:ffff:ffff |
| 152 | fe80:c25b:dd:ddea:d20:970::/92 | fe80:c25b:dd:ddea:d20:97f:ffff:ffff |
| 153 | fe80:c25b:dd:ddea:d20:980::/92 | fe80:c25b:dd:ddea:d20:98f:ffff:ffff |
| 154 | fe80:c25b:dd:ddea:d20:990::/92 | fe80:c25b:dd:ddea:d20:99f:ffff:ffff |
| 155 | fe80:c25b:dd:ddea:d20:9a0::/92 | fe80:c25b:dd:ddea:d20:9af:ffff:ffff |
| 156 | fe80:c25b:dd:ddea:d20:9b0::/92 | fe80:c25b:dd:ddea:d20:9bf:ffff:ffff |
| 157 | fe80:c25b:dd:ddea:d20:9c0::/92 | fe80:c25b:dd:ddea:d20:9cf:ffff:ffff |
| 158 | fe80:c25b:dd:ddea:d20:9d0::/92 | fe80:c25b:dd:ddea:d20:9df:ffff:ffff |
| 159 | fe80:c25b:dd:ddea:d20:9e0::/92 | fe80:c25b:dd:ddea:d20:9ef:ffff:ffff |
| 160 | fe80:c25b:dd:ddea:d20:9f0::/92 | fe80:c25b:dd:ddea:d20:9ff:ffff:ffff |
| 161 | fe80:c25b:dd:ddea:d20:a00::/92 | fe80:c25b:dd:ddea:d20:a0f:ffff:ffff |
| 162 | fe80:c25b:dd:ddea:d20:a10::/92 | fe80:c25b:dd:ddea:d20:a1f:ffff:ffff |
| 163 | fe80:c25b:dd:ddea:d20:a20::/92 | fe80:c25b:dd:ddea:d20:a2f:ffff:ffff |
| 164 | fe80:c25b:dd:ddea:d20:a30::/92 | fe80:c25b:dd:ddea:d20:a3f:ffff:ffff |
| 165 | fe80:c25b:dd:ddea:d20:a40::/92 | fe80:c25b:dd:ddea:d20:a4f:ffff:ffff |
| 166 | fe80:c25b:dd:ddea:d20:a50::/92 | fe80:c25b:dd:ddea:d20:a5f:ffff:ffff |
| 167 | fe80:c25b:dd:ddea:d20:a60::/92 | fe80:c25b:dd:ddea:d20:a6f:ffff:ffff |
| 168 | fe80:c25b:dd:ddea:d20:a70::/92 | fe80:c25b:dd:ddea:d20:a7f:ffff:ffff |
| 169 | fe80:c25b:dd:ddea:d20:a80::/92 | fe80:c25b:dd:ddea:d20:a8f:ffff:ffff |
| 170 | fe80:c25b:dd:ddea:d20:a90::/92 | fe80:c25b:dd:ddea:d20:a9f:ffff:ffff |
| 171 | fe80:c25b:dd:ddea:d20:aa0::/92 | fe80:c25b:dd:ddea:d20:aaf:ffff:ffff |
| 172 | fe80:c25b:dd:ddea:d20:ab0::/92 | fe80:c25b:dd:ddea:d20:abf:ffff:ffff |
| 173 | fe80:c25b:dd:ddea:d20:ac0::/92 | fe80:c25b:dd:ddea:d20:acf:ffff:ffff |
| 174 | fe80:c25b:dd:ddea:d20:ad0::/92 | fe80:c25b:dd:ddea:d20:adf:ffff:ffff |
| 175 | fe80:c25b:dd:ddea:d20:ae0::/92 | fe80:c25b:dd:ddea:d20:aef:ffff:ffff |
| 176 | fe80:c25b:dd:ddea:d20:af0::/92 | fe80:c25b:dd:ddea:d20:aff:ffff:ffff |
| 177 | fe80:c25b:dd:ddea:d20:b00::/92 | fe80:c25b:dd:ddea:d20:b0f:ffff:ffff |
| 178 | fe80:c25b:dd:ddea:d20:b10::/92 | fe80:c25b:dd:ddea:d20:b1f:ffff:ffff |
| 179 | fe80:c25b:dd:ddea:d20:b20::/92 | fe80:c25b:dd:ddea:d20:b2f:ffff:ffff |
| 180 | fe80:c25b:dd:ddea:d20:b30::/92 | fe80:c25b:dd:ddea:d20:b3f:ffff:ffff |
| 181 | fe80:c25b:dd:ddea:d20:b40::/92 | fe80:c25b:dd:ddea:d20:b4f:ffff:ffff |
| 182 | fe80:c25b:dd:ddea:d20:b50::/92 | fe80:c25b:dd:ddea:d20:b5f:ffff:ffff |
| 183 | fe80:c25b:dd:ddea:d20:b60::/92 | fe80:c25b:dd:ddea:d20:b6f:ffff:ffff |
| 184 | fe80:c25b:dd:ddea:d20:b70::/92 | fe80:c25b:dd:ddea:d20:b7f:ffff:ffff |
| 185 | fe80:c25b:dd:ddea:d20:b80::/92 | fe80:c25b:dd:ddea:d20:b8f:ffff:ffff |
| 186 | fe80:c25b:dd:ddea:d20:b90::/92 | fe80:c25b:dd:ddea:d20:b9f:ffff:ffff |
| 187 | fe80:c25b:dd:ddea:d20:ba0::/92 | fe80:c25b:dd:ddea:d20:baf:ffff:ffff |
| 188 | fe80:c25b:dd:ddea:d20:bb0::/92 | fe80:c25b:dd:ddea:d20:bbf:ffff:ffff |
| 189 | fe80:c25b:dd:ddea:d20:bc0::/92 | fe80:c25b:dd:ddea:d20:bcf:ffff:ffff |
| 190 | fe80:c25b:dd:ddea:d20:bd0::/92 | fe80:c25b:dd:ddea:d20:bdf:ffff:ffff |
| 191 | fe80:c25b:dd:ddea:d20:be0::/92 | fe80:c25b:dd:ddea:d20:bef:ffff:ffff |
| 192 | fe80:c25b:dd:ddea:d20:bf0::/92 | fe80:c25b:dd:ddea:d20:bff:ffff:ffff |
| 193 | fe80:c25b:dd:ddea:d20:c00::/92 | fe80:c25b:dd:ddea:d20:c0f:ffff:ffff |
| 194 | fe80:c25b:dd:ddea:d20:c10::/92 | fe80:c25b:dd:ddea:d20:c1f:ffff:ffff |
| 195 | fe80:c25b:dd:ddea:d20:c20::/92 | fe80:c25b:dd:ddea:d20:c2f:ffff:ffff |
| 196 | fe80:c25b:dd:ddea:d20:c30::/92 | fe80:c25b:dd:ddea:d20:c3f:ffff:ffff |
| 197 | fe80:c25b:dd:ddea:d20:c40::/92 | fe80:c25b:dd:ddea:d20:c4f:ffff:ffff |
| 198 | fe80:c25b:dd:ddea:d20:c50::/92 | fe80:c25b:dd:ddea:d20:c5f:ffff:ffff |
| 199 | fe80:c25b:dd:ddea:d20:c60::/92 | fe80:c25b:dd:ddea:d20:c6f:ffff:ffff |
| 200 | fe80:c25b:dd:ddea:d20:c70::/92 | fe80:c25b:dd:ddea:d20:c7f:ffff:ffff |
| 201 | fe80:c25b:dd:ddea:d20:c80::/92 | fe80:c25b:dd:ddea:d20:c8f:ffff:ffff |
| 202 | fe80:c25b:dd:ddea:d20:c90::/92 | fe80:c25b:dd:ddea:d20:c9f:ffff:ffff |
| 203 | fe80:c25b:dd:ddea:d20:ca0::/92 | fe80:c25b:dd:ddea:d20:caf:ffff:ffff |
| 204 | fe80:c25b:dd:ddea:d20:cb0::/92 | fe80:c25b:dd:ddea:d20:cbf:ffff:ffff |
| 205 | fe80:c25b:dd:ddea:d20:cc0::/92 | fe80:c25b:dd:ddea:d20:ccf:ffff:ffff |
| 206 | fe80:c25b:dd:ddea:d20:cd0::/92 | fe80:c25b:dd:ddea:d20:cdf:ffff:ffff |
| 207 | fe80:c25b:dd:ddea:d20:ce0::/92 | fe80:c25b:dd:ddea:d20:cef:ffff:ffff |
| 208 | fe80:c25b:dd:ddea:d20:cf0::/92 | fe80:c25b:dd:ddea:d20:cff:ffff:ffff |
| 209 | fe80:c25b:dd:ddea:d20:d00::/92 | fe80:c25b:dd:ddea:d20:d0f:ffff:ffff |
| 210 | fe80:c25b:dd:ddea:d20:d10::/92 | fe80:c25b:dd:ddea:d20:d1f:ffff:ffff |
| 211 | fe80:c25b:dd:ddea:d20:d20::/92 | fe80:c25b:dd:ddea:d20:d2f:ffff:ffff |
| 212 | fe80:c25b:dd:ddea:d20:d30::/92 | fe80:c25b:dd:ddea:d20:d3f:ffff:ffff |
| 213 | fe80:c25b:dd:ddea:d20:d40::/92 | fe80:c25b:dd:ddea:d20:d4f:ffff:ffff |
| 214 | fe80:c25b:dd:ddea:d20:d50::/92 | fe80:c25b:dd:ddea:d20:d5f:ffff:ffff |
| 215 | fe80:c25b:dd:ddea:d20:d60::/92 | fe80:c25b:dd:ddea:d20:d6f:ffff:ffff |
| 216 | fe80:c25b:dd:ddea:d20:d70::/92 | fe80:c25b:dd:ddea:d20:d7f:ffff:ffff |
| 217 | fe80:c25b:dd:ddea:d20:d80::/92 | fe80:c25b:dd:ddea:d20:d8f:ffff:ffff |
| 218 | fe80:c25b:dd:ddea:d20:d90::/92 | fe80:c25b:dd:ddea:d20:d9f:ffff:ffff |
| 219 | fe80:c25b:dd:ddea:d20:da0::/92 | fe80:c25b:dd:ddea:d20:daf:ffff:ffff |
| 220 | fe80:c25b:dd:ddea:d20:db0::/92 | fe80:c25b:dd:ddea:d20:dbf:ffff:ffff |
| 221 | fe80:c25b:dd:ddea:d20:dc0::/92 | fe80:c25b:dd:ddea:d20:dcf:ffff:ffff |
| 222 | fe80:c25b:dd:ddea:d20:dd0::/92 | fe80:c25b:dd:ddea:d20:ddf:ffff:ffff |
| 223 | fe80:c25b:dd:ddea:d20:de0::/92 | fe80:c25b:dd:ddea:d20:def:ffff:ffff |
| 224 | fe80:c25b:dd:ddea:d20:df0::/92 | fe80:c25b:dd:ddea:d20:dff:ffff:ffff |
| 225 | fe80:c25b:dd:ddea:d20:e00::/92 | fe80:c25b:dd:ddea:d20:e0f:ffff:ffff |
| 226 | fe80:c25b:dd:ddea:d20:e10::/92 | fe80:c25b:dd:ddea:d20:e1f:ffff:ffff |
| 227 | fe80:c25b:dd:ddea:d20:e20::/92 | fe80:c25b:dd:ddea:d20:e2f:ffff:ffff |
| 228 | fe80:c25b:dd:ddea:d20:e30::/92 | fe80:c25b:dd:ddea:d20:e3f:ffff:ffff |
| 229 | fe80:c25b:dd:ddea:d20:e40::/92 | fe80:c25b:dd:ddea:d20:e4f:ffff:ffff |
| 230 | fe80:c25b:dd:ddea:d20:e50::/92 | fe80:c25b:dd:ddea:d20:e5f:ffff:ffff |
| 231 | fe80:c25b:dd:ddea:d20:e60::/92 | fe80:c25b:dd:ddea:d20:e6f:ffff:ffff |
| 232 | fe80:c25b:dd:ddea:d20:e70::/92 | fe80:c25b:dd:ddea:d20:e7f:ffff:ffff |
| 233 | fe80:c25b:dd:ddea:d20:e80::/92 | fe80:c25b:dd:ddea:d20:e8f:ffff:ffff |
| 234 | fe80:c25b:dd:ddea:d20:e90::/92 | fe80:c25b:dd:ddea:d20:e9f:ffff:ffff |
| 235 | fe80:c25b:dd:ddea:d20:ea0::/92 | fe80:c25b:dd:ddea:d20:eaf:ffff:ffff |
| 236 | fe80:c25b:dd:ddea:d20:eb0::/92 | fe80:c25b:dd:ddea:d20:ebf:ffff:ffff |
| 237 | fe80:c25b:dd:ddea:d20:ec0::/92 | fe80:c25b:dd:ddea:d20:ecf:ffff:ffff |
| 238 | fe80:c25b:dd:ddea:d20:ed0::/92 | fe80:c25b:dd:ddea:d20:edf:ffff:ffff |
| 239 | fe80:c25b:dd:ddea:d20:ee0::/92 | fe80:c25b:dd:ddea:d20:eef:ffff:ffff |
| 240 | fe80:c25b:dd:ddea:d20:ef0::/92 | fe80:c25b:dd:ddea:d20:eff:ffff:ffff |
| 241 | fe80:c25b:dd:ddea:d20:f00::/92 | fe80:c25b:dd:ddea:d20:f0f:ffff:ffff |
| 242 | fe80:c25b:dd:ddea:d20:f10::/92 | fe80:c25b:dd:ddea:d20:f1f:ffff:ffff |
| 243 | fe80:c25b:dd:ddea:d20:f20::/92 | fe80:c25b:dd:ddea:d20:f2f:ffff:ffff |
| 244 | fe80:c25b:dd:ddea:d20:f30::/92 | fe80:c25b:dd:ddea:d20:f3f:ffff:ffff |
| 245 | fe80:c25b:dd:ddea:d20:f40::/92 | fe80:c25b:dd:ddea:d20:f4f:ffff:ffff |
| 246 | fe80:c25b:dd:ddea:d20:f50::/92 | fe80:c25b:dd:ddea:d20:f5f:ffff:ffff |
| 247 | fe80:c25b:dd:ddea:d20:f60::/92 | fe80:c25b:dd:ddea:d20:f6f:ffff:ffff |
| 248 | fe80:c25b:dd:ddea:d20:f70::/92 | fe80:c25b:dd:ddea:d20:f7f:ffff:ffff |
| 249 | fe80:c25b:dd:ddea:d20:f80::/92 | fe80:c25b:dd:ddea:d20:f8f:ffff:ffff |
| 250 | fe80:c25b:dd:ddea:d20:f90::/92 | fe80:c25b:dd:ddea:d20:f9f:ffff:ffff |
| 251 | fe80:c25b:dd:ddea:d20:fa0::/92 | fe80:c25b:dd:ddea:d20:faf:ffff:ffff |
| 252 | fe80:c25b:dd:ddea:d20:fb0::/92 | fe80:c25b:dd:ddea:d20:fbf:ffff:ffff |
| 253 | fe80:c25b:dd:ddea:d20:fc0::/92 | fe80:c25b:dd:ddea:d20:fcf:ffff:ffff |
| 254 | fe80:c25b:dd:ddea:d20:fd0::/92 | fe80:c25b:dd:ddea:d20:fdf:ffff:ffff |
| 255 | fe80:c25b:dd:ddea:d20:fe0::/92 | fe80:c25b:dd:ddea:d20:fef:ffff:ffff |
| 256 | fe80:c25b:dd:ddea:d20:ff0::/92 | fe80:c25b:dd:ddea:d20:fff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |